Counts per stage, conversion rates and time in stage for a cohort of sample requests
GET
/api/public/v1/tik_tok_shop/samples/funnelConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopSampleFunnel
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/samples/funnel?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string | required |
| end_date | query | string | required |
| productId | query | string | |
| targetCollaborationId | query | string | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| byCollabType | object, nullable | |
| byCollabType.open | object, nullable | |
| byCollabType.open.approved | number, nullable | |
| byCollabType.open.contentFulfilled | number, nullable | |
| byCollabType.open.requested | number, nullable | |
| byCollabType.open.shipped | number, nullable | |
| byCollabType.target | object, nullable | |
| byCollabType.target.approved | number, nullable | |
| byCollabType.target.contentFulfilled | number, nullable | |
| byCollabType.target.requested | number, nullable | |
| byCollabType.target.shipped | number, nullable | |
| cohort | number, nullable | |
| currentStates | object, nullable | |
| currentStates.awaiting_shipment | number, nullable | |
| currentStates.cancelled | number, nullable | |
| currentStates.content_fulfilled | number, nullable | |
| currentStates.content_pending | number, nullable | |
| currentStates.content_unfulfilled | number, nullable | |
| currentStates.sample_requested | number, nullable | |
| exits | array of object, nullable | |
| exits[].[].count | number, nullable | |
| exits[].[].key | string, nullable | |
| exits[].[].rateFromRequested | number, nullable | |
| exits[].[].source | string, nullable | |
| filters | object, nullable | |
| filters.productId | , nullable | |
| filters.targetCollaborationId | , nullable | |
| shopId | string, nullable | |
| stages | array of object, nullable | |
| stages[].[].count | number, nullable | |
| stages[].[].key | string, nullable | |
| stages[].[].rateFromPrevious | number, nullable | |
| stages[].[].rateFromRequested | number, nullable | |
| stages[].[].source | string, nullable | |
| stages[].[].timeInStage | object, nullable | |
| stages[].[].timeInStage.medianHours | number, nullable | |
| stages[].[].timeInStage.p90Hours | number, nullable | |
| stages[].[].timeInStage.rows | number, nullable | |
| window | object, nullable | |
| window.endDate | string, nullable | |
| window.startDate | string, nullable |
Example
{
"byCollabType": {
"open": {
"approved": 125.5,
"contentFulfilled": 125.5,
"requested": 125.5,
"shipped": 125.5
},
"target": {
"approved": 125.5,
"contentFulfilled": 125.5,
"requested": 125.5,
"shipped": 125.5
}
},
"cohort": 125.5,
"currentStates": {
"awaiting_shipment": 125.5,
"cancelled": 125.5,
"content_fulfilled": 125.5,
"content_pending": 125.5,
"content_unfulfilled": 125.5,
"sample_requested": 125.5
},
"exits": [
{
"count": 125.5,
"key": "string",
"rateFromRequested": 0.15,
"source": "string"
}
],
"filters": {
"productId": "string",
"targetCollaborationId": "string"
},
"shopId": "string",
"stages": [
{
"count": 125.5,
"key": "string",
"rateFromPrevious": 0.15,
"rateFromRequested": 0.15,
"source": "string",
"timeInStage": {
"medianHours": 125.5,
"p90Hours": 125.5,
"rows": 125.5
}
}
],
"window": {
"endDate": "string",
"startDate": "string"
}
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.